import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable, Subject } from "rxjs";
import { PositionService } from "../../core/entities/position/position.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class PositionLookupService {
    private translate;
    private configService;
    private positionService;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, positionService: PositionService);
    registerFieldsForValidation: any[];
    positionLookupDisplayFields: string[];
    positionLookupSeparator: string;
    positionSearchSubject: Subject<unknown>;
    positionLookupSubject: Subject<unknown>;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    /**
     * Método utilizado para montar o lookup no dynamicForm.
     * LookupValidationDto
     */
    getFormField(isCollective?: boolean, additionalFilter?: string, initialFilter?: string): FormField;
    onPositionSearchRequest(event: any, additionalFilter: any, initialFilter: any): void;
    onPositionSearchRequestObservable(event: any, additionalFilter: any, initialFilter: any, isDynamicForm?: boolean): Observable<any>;
    private mapToComponent;
    private getLabelForMaping;
    onPositionLookupRequest(value: string, additionalFilter: any, initialFilter: any): void;
    onPositionLookupRequestObservable(value: string, additionalFilter: any, initialFilter: any): Observable<any>;
    getPositionSearchFields(): FormField[];
}
